'use strict';

exports.__esModule = true;
exports.process = undefined;

var _omit2 = require('lodash/omit');

var _omit3 = _interopRequireDefault(_omit2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function setHighlight(item) {
    item.onHover = function (ev) {
        var shapes = ev.shapes;
        var geom = ev.geom;
        geom.highlightShapes(shapes);
    };
    return item;
}
var process = exports.process = function process(chart, config) {
    var legend = config.legend;
    var isArr = Array.isArray(legend);
    if (!legend || isArr && legend.length === 0) {
        return chart.legend(false);
    }
    var arrLegend = isArr ? legend : [legend];
    for (var _i = 0, arrLegend_1 = arrLegend; _i < arrLegend_1.length; _i++) {
        var res = arrLegend_1[_i];
        if (res.highlight) {
            res = setHighlight(res);
        }
        if (res.dataKey) {
            if (res.show === false) {
                return chart.legend(res.dataKey, false);
            }
            var option = (0, _omit3.default)(res, ['dataKey', 'show']);
            return chart.legend(res.dataKey, option);
        } else {
            return chart.legend(res);
        }
    }
};
//# sourceMappingURL=setLengendConfig.js.map